require 'rubygems'
require 'bundler'

Bundler.require

Dir["#{File.dirname(__FILE__)}/lib/**/*.rb"].each { |f| require(f) }

ENV['RACK_ENV'] ||= 'development'

if ENV['RACK_ENV'] == 'development'
  File.open("db/database.db", File::WRONLY|File::CREAT) {}
end

DataMapper.setup(:default, ENV['DATABASE_URL'] || "sqlite3://#{Dir.pwd}/db/database.db")
DataMapper.auto_upgrade!