class Slide
  include DataMapper::Resource
  
  property :id,           String,   :default => UUID.generate(:compact), :key => true
  property :title,        String
  property :description,  Text
  property :markup,       Text
  property :created_at,   DateTime, :default => Time.now
  property :updated_at,   DateTime, :default => Time.now
  
  belongs_to  :presentation
end