var beckonclient = {
  
  campaign: null,
  campaign_length: 0,
  slides: [],
  timeout: null,
  
  run: function() {
    
    beckonclient.campaign = $('div.deck-container > div.campaign');
    
    $(document).bind('deck.change', beckonclient.handleChange);
    
    beckonclient.timeout = window.setTimeout(function() {
      if ($('.slide', beckonclient.campaign).length > 0) {
        $('div.beckonclient-container').hide();
        $('div.deck-container').show();
        beckonclient.present();
      } else {
        $('img#beckonclient-loading').hide();
        $('img#beckonclient-error').css('display', 'block');
      }
    }, 3000);
  },
  
  present: function(index) {
    beckonclient.slides = $('.slide', beckonclient.campaign);
    beckonclient.campaign_length = beckonclient.slides.length - 1;
    
    $(document).bind('deck.init', function(event) {
      $('.deck-current').addClass($('.deck-current').closest('div.presentation').attr('data-transition'));
      $('.deck-child-current').addClass($('.deck-child-current').closest('div.presentation').attr('data-transition'));
    });
    
    $.deck(beckonclient.slides);
    
    beckonclient.newTimeout($(beckonclient.slides[0]).closest('div.presentation').attr('data-duration'));
  },
  
  handleChange: function(event, from, to) {
    if (to != beckonclient.campaign_length) {
      beckonclient.newTimeout($(beckonclient.slides[to]).closest('div.presentation').attr('data-duration'));
    } else {
      window.location.reload();
    }
  },
  
  newTimeout: function(length) {
    window.clearTimeout(beckonclient.timeout);
    beckonclient.timeout = window.setTimeout(function() {
      $.deck('next');
      $('.deck-current').addClass($('.deck-current').closest('div.presentation').attr('data-transition'));
      $('.deck-child-current').addClass($('.deck-child-current').closest('div.presentation').attr('data-transition'));
    }, length);
  }
}